"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Link = require("./TreeLink");
const generateProps = (store, link) => {
    return {
        x1: link.source.x * store.scale.x + store.scale.offsetX,
        x2: link.target.x * store.scale.x + store.scale.offsetX,
        y1: link.source.y * store.scale.y + store.scale.offsetY,
        y2: link.target.y * store.scale.y + store.scale.offsetY,
    };
};
exports.Container = ({ store }) => (React.createElement(React.Fragment, null, store.links.map((link, idx) => {
    return React.createElement(Link.Component, Object.assign({}, generateProps(store, link), { key: `link-${idx}` }));
})));
//# sourceMappingURL=Container.js.map