"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const d3 = require("d3");
const parser_1 = require("../../parser");
const generateTreeData = (start, pkg) => {
    const treeData = {
        name: start,
        children: [],
    };
    parser_1.makeChain(treeData, pkg);
    return treeData;
};
exports.generateState = (currentKey, pkg) => {
    const treeData = generateTreeData(currentKey, pkg);
    const data = d3.hierarchy(treeData);
    const root = d3.tree()(data);
    const nodes = root.descendants();
    const links = root.links();
    return {
        scale: {
            x: 200,
            y: 400,
            offsetX: 15,
            offsetY: 100,
        },
        radius: 5,
        offset: 2.5,
        nodes,
        links,
    };
};
//# sourceMappingURL=Factory.js.map